# manifest.json 設定

各プラグインには `manifest.json` ファイルが含まれている必要があります。このファイルは、プラグインの実行方法や基本情報（プラグイン名、バージョン番号、実行コードのエントリーポイントなど）を定義します。

以下は `manifest.json` ファイルでサポートされているすべてのフィールドです：

```json
{
    "id": "LBCZE8V6LPCKD",
    "version": "1.0.0",
    "platform": "all",
    "arch": "all",
    "name": "ウィンドウプラグイン",
    "logo": "/logo.png",
    "keywords": [],
    "devTools": false,
    "main":
    {
        "url": "index.html",
        "width": 640,
        "height": 480,
        "minWidth": 640,
        "minHeight": 480,
        "maxWidth": 640,
        "maxHeight": 480,
        "alwaysOnTop": false,
        "frame": true,
        "fullscreenable": true,
        "maximizable": true,
        "minimizable": true,
        "resizable": true,
        "backgroundColor": "#ffffff",
        "shortcut": "",
        "childWindow": false,
        "followCursor": false,
        "multiple": false,
        "runAfterInstall": false
    }
}
```

## フィールドの説明：

* `id` - プラグイン ID
* `version` - プラグインのバージョン
* `platform` - サポートされているプラットフォーム
  * `all` - すべてのプラットフォーム
  * `mac` - Mac システム
  * `win` - Windows システム
* `arch` - CPU アーキテクチャ
  * `all` - すべてのアーキテクチャ
  * `arm` - ARM アーキテクチャのみをサポート
  * `x64` - x64 アーキテクチャのみをサポート
* `name` - プラグイン名
* `logo` - プラグインの代表的なアイコン（`png`、`jpg`、`webp` 形式のみサポート）
* `keywords` - プラグインのキーワード。プラグイン名以外にも、これらのキーワードを使ってユーザーがプラグインをすばやく検索できるようになります。
* `devTools` - 開発者向けデバッグウィンドウを開くかどうか
* `main` - プラグインのウィンドウプログラムエントリ設定
  * `url` - エントリページ
  * `width` - ウィンドウの幅
  * `height` - ウィンドウの高さ
  * `minWidth` - ウィンドウの最小幅
  * `minHeight` - ウィンドウの最小高さ
  * `maxWidth` - ウィンドウの最大幅
  * `maxHeight` - ウィンドウの最大高さ
  * `alwaysOnTop` - ウィンドウが常に他のウィンドウの上にあるかどうか。デフォルト値は `false`。
  * `frame` - デフォルト値は `true` で、`false` の場合、[無枠ウィンドウ](/plugin-api/ja-jp/tutorial/frameless-window.md)が使用され、これはシェル（ウィンドウ枠、タイトルバー、ツールバーなどを含まない）を持たない特別なウィンドウモードで、Webページのコンテンツのみが含まれます。
  * `fullscreenable` - ウィンドウが全画面状態に入れるかどうか、デフォルト値は `true` です。
  * `maximizable` - ウィンドウが最大化できるかどうか、デフォルト値は `true` です。
  * `minimizable` - ウィンドウが最小化できるかどうか、デフォルト値は `true` です。
  * `resizable` - ウィンドウサイズが調整できるかどうか、デフォルト値は `true` です。
  * `backgroundColor` - ウィンドウの背景色、デフォルト値は `#FFF` です。
  * `shortcut` - プラグインのショートカットキー設定、[ビューキー設定](https://www.electronjs.org/docs/latest/api/accelerator)。
  * `childWindow` - 子ウィンドウとして開くかどうか（メインウィンドウに従属）、デフォルト値は `false`。
  * `followCursor` - 開いたときにウィンドウをカーソルの近くに自動配置します。素早いインタラクションが必要なツール型プラグインに適しています。デフォルト値は `false`。Eagle 4.0 Build22 以降が必要です。
  * `multiple` - ウィンドウが複数開くことができるかどうか、デフォルト値は `false` です。
  * `runAfterInstall` - インストール後に自動的に開く、デフォルト値は `false` です。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.eagle.cool/plugin-api/ja-jp/tutorial/manifest.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
